---
title: HTML5
slug: Glossary/HTML5
tags:
  - CodingScripting
  - Glossary
  - HTML
  - HTML5
  - Markup
---
The term HTML5 is essentially a buzzword that refers to a set of modern web technologies. This includes the {{Glossary("HTML")}} Living Standard, along with {{glossary("JavaScript")}} {{glossary("API","APIs")}} to enhance storage, multimedia, and hardware access.

You may sometimes hear about "new HTML5 elements", or find HTML5 described as a new version of HTML. HTML5 was the successor to previous HTML versions and introduced new elements and capabilities to the language on top of the previous version, HTML 4.01, as well as improving or removing some existing functionality. However, as a Living Standard HTML now has no version. The up-to-date specification can be found at [html.spec.whatwg.org/](https://html.spec.whatwg.org/).

Any modern site should use the [HTML doctype](/en-US/docs/MDN/Guidelines/Code_guidelines/HTML#doctype) — this will ensure that you are using the latest version of HTML.

> **Note:** Until 2019, the {{glossary("W3C")}} published a competing HTML5 standard with version numbers. Since [28 May 2019](https://www.w3.org/blog/news/archives/7753), the WHATWG Living Standard was announced by the W3C as the sole version of HTML.

## See also

- [our HTML documentation](/en-US/docs/Web/HTML)
- [HTML beginner's learning guides](/en-US/docs/Learn/HTML)
- [Web APIs](/en-US/docs/Web/API)
