---
title: LTR (Left To Right)
slug: Glossary/ltr
tags:
  - Composing
  - Glossary
  - Localization
---
**LTR** (**Left To Right**) is a {{Glossary("locale")}} property indicating that text is written from left to right. For example, the `en-US` locale (for US English) specifies left-to-right.

Most Western languages, as well as many others around the world, are written LTR.

The opposite of LTR, {{Glossary("RTL")}} (Right To Left) is used in other common languages, including Arabic (`ar`) and Hebrew (`he`).

## Technical reference

- [Localization and internationalization](/en-US/docs/Web/Localization)

## See also

- [MDN Web Docs Glossary](/en-US/docs/Glossary)

  - {{Glossary("locale")}}
  - {{Glossary("LTR")}}
  - {{Glossary("RTL")}}

- [HTML global attributes](/en-US/docs/Web/HTML/Global_attributes)

  - {{htmlattrxref("dir")}}
  - {{htmlattrxref("lang")}}

- [CSS](/en-US/docs/Web/CSS)

  - {{cssxref(":dir")}}
  - {{cssxref("direction")}}
  - {{cssxref("unicode-bidi")}}
  - {{cssxref("writing-mode")}}
