---
title: MIME type
slug: Glossary/MIME_type
tags:
  - Glossary
  - WebMechanics
---
A **MIME type** (now properly called "media type", but also sometimes "content type") is a string sent along with a file indicating the type of the file (describing the content format, for example, a sound file might be labeled `audio/ogg`, or an image file `image/png`).

It serves the same purpose as filename extensions traditionally do on Windows. The name originates from the {{glossary("mime","MIME")}} standard originally used in E-Mail.

## See also

- {{interwiki("wikipedia", "Internet media type", "Internet media type")}} on Wikipedia
- [List of MIME types](https://www.iana.org/assignments/media-types/media-types.xhtml)
- [Properly Configuring Server MIME Types](/en-US/docs/Learn/Server-side/Configuring_server_MIME_types)
- Details information about the usage of [MIME Types](/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) in a Web context.
- [Incomplete list of MIME types](/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types/Common_types)
- [MediaRecorder.mimeType](/en-US/docs/Web/API/MediaRecorder/mimeType)
