---
title: Web standards
slug: Glossary/Web_standards
tags:
  - Glossary
  - Infrastructure
  - Web Standards
  - standards
  - web specifications
---
Web standards are rules established by international standards bodies and defining how the {{Glossary("World Wide Web", "Web")}} works (and sometimes controlling the {{Glossary("Internet")}} as well).

Several standards bodies are responsible for defining different aspects of the Web, and all the standards must coordinate to keep the Web maximally usable and accessible. Web standards also must evolve to improve the current status and adapt to new circumstances.

This non-exhaustive list gives you an idea of which standards websites and network systems must conform to:

- **IETF** (Internet Engineering Task Force): Internet standards (STD), which among other things govern set-up and use of {{Glossary("URI", "URIs")}}, {{Glossary("HTTP")}}, and {{Glossary("MIME")}}
- **{{Glossary("W3C")}}**: specifications for markup language (e.g., {{Glossary("HTML")}}), style definitions (i.e., {{Glossary("CSS")}}), {{Glossary("DOM")}}, {{Glossary("Accessibility", "accessibility")}}
- **IANA** (Internet Assigned Numbers Authority): name and number registries
- **Ecma Intl.:** scripting standards, most prominently for {{Glossary("JavaScript")}}
- **{{Glossary("ISO")}}** (International Organization for Standardization): standards governing a diverse array of aspects, including character encodings, website management, and user-interface design

## See also

- {{Interwiki("wikipedia", "Web standards")}} on Wikipedia
