---
title: CSS first steps
slug: Learn/CSS/First_steps
tags:
  - Beginner
  - CSS
  - Landing
  - Learn
  - Module
  - first steps
---
{{LearnSidebar}}

CSS (Cascading Style Sheets) is used to style and lay out web pages — for example, to alter the font, color, size, and spacing of your content, split it into multiple columns, or add animations and other decorative features. This module provides a gentle beginning to your path towards CSS mastery with the basics of how it works, what the syntax looks like, and how you can start using it to add styling to HTML.

> **Callout:**
>
> #### Looking to become a front-end web developer?
>
> We have put together a course that includes all the essential information you need to
> work towards your goal.
>
> [**Get started**](/en-US/docs/Learn/Front-end_web_developer)

## Prerequisites

Before starting this module, you should have:

1. Basic familiarity with using computers, and using the Web passively (i.e. looking at it, consuming the content.)
2. A basic work environment set up as detailed in [Installing basic software](/en-US/docs/Learn/Getting_started_with_the_web/Installing_basic_software), and an understanding of how to create and manage files, as detailed in [Dealing with files](/en-US/docs/Learn/Getting_started_with_the_web/Dealing_with_files).
3. Basic familiarity with HTML, as discussed in the [Introduction to HTML](/en-US/docs/Learn/HTML/Introduction_to_HTML) module.

> **Note:** If you are working on a computer/tablet/other device where you don't have the ability to create your own files, you could try out (most of) the code examples in an online coding program such as [JSBin](https://jsbin.com/) or [Glitch](https://glitch.com/).

## Guides

This module contains the following articles, which will take you through all the basic theory of CSS, and provide opportunities for you to test out some skills.

- [What is CSS?](/en-US/docs/Learn/CSS/First_steps/What_is_CSS)
  - : **{{Glossary("CSS")}}** (Cascading Style Sheets) allows you to create great-looking web pages, but how does it work under the hood? This article explains what CSS is, with a simple syntax example, and also covers some key terms about the language.
- [Getting started with CSS](/en-US/docs/Learn/CSS/First_steps/Getting_started)
  - : In this article we will take a simple HTML document and apply CSS to it, learning some practical things about the language along the way.
- [How CSS is structured](/en-US/docs/Learn/CSS/First_steps/How_CSS_is_structured)
  - : Now that you have an idea about what CSS is and the basics of using it, it is time to look a little deeper into the structure of the language itself. We have already met many of the concepts discussed here; you can return to this one to recap if you find any later concepts confusing.
- [How CSS works](/en-US/docs/Learn/CSS/First_steps/How_CSS_works)
  - : We have learned the basics of CSS, what it is for and how to write simple stylesheets. In this lesson we will take a look at how a browser takes CSS and HTML and turns that into a webpage.

## Assessments

The following assessment will test your understanding of the CSS basics covered in the guides above.

- [Styling a biography page](/en-US/docs/Learn/CSS/First_steps/Styling_a_biography_page)
  - : With the things you have learned in the last few articles you should find that you can format simple text documents using CSS, to add your own style to them. This assessment gives you a chance to do that.
