---
title: About MDN Web Docs
slug: MDN/About
tags:
  - Collaborating
  - Community
  - Copyright
  - Documentation
  - Guide
  - Licenses
  - MDN Meta
---
{{MDNSidebar}}

MDN Web Docs (previously known as MDN — the Mozilla Developer Network) is an evolving learning platform for Web technologies and the software that powers the Web, including [CSS](/en-US/docs/Web/CSS), [HTML](/en-US/docs/Web/HTML), and [JavaScript](/en-US/docs/Web/JavaScript). We also have a detailed set of beginner's learning material — see [Learn Web development](/en-US/docs/Learn).

## Using MDN Web Docs content

MDN's content is available free of charge, and under open source licenses.

### Copyrights and licenses

MDN's content is entirely available under various open source licenses. This section covers the types of content we provide and what licenses are in effect for each.

#### Documentation and articles

> **Note:** MDN content has been prepared with the contributions of authors from both inside and outside Mozilla. Unless otherwise indicated, the content is available under the terms of the [Creative Commons Attribution-ShareAlike license](https://creativecommons.org/licenses/by-sa/2.5/) (CC-BY-SA), v2.5 or any later version.

When reusing MDN content, you need to ensure two things:

1. Attribution is given to the original content.

    Please attribute "Mozilla Contributors" and include a hyperlink (online) or URL (in print) to the specific wiki page for the content being sourced. For example, to provide attribution for this article, you can write:

    > [About MDN](/en-US/docs/MDN/About) by [Mozilla Contributors](/en-US/docs/MDN/About/contributors.txt) is licensed under [CC-BY-SA 2.5](https://creativecommons.org/licenses/by-sa/2.5/).

    Note that in the example, "Mozilla Contributors" links to the history of the cited page. See [Best practices for attribution](https://wiki.creativecommons.org/Marking/Users) for further explanation.

2. Your reuse is published under the same license as the original content—CC-BY-SA v2.5 or any later version.

#### Code samples and snippets

Code samples added on or after August 20, 2010 are in the [public domain](https://creativecommons.org/publicdomain/zero/1.0/) ([CC0](https://creativecommons.org/publicdomain/zero/1.0/)). No licensing notice is necessary, but if you need one, you can use: "Any copyright is dedicated to the Public Domain. http\://creativecommons.org/publicdomain/zero/1.0/".

Code samples added before August 20, 2010 are available under the [MIT license](https://opensource.org/licenses/mit-license.php); you should insert the following attribution information into the MIT template: "© \<date of last wiki page revision> \<name of person who put it in the wiki>".

Since the launch of the new Yari MDN platform on December 14 2020, there is currently no way to determine which one you need. We are working on this and will update this content soon.

#### Contributions

If you wish to contribute to this wiki, you must make your documentation available under the Attribution-ShareAlike license (or occasionally an alternative license already specified by the page you are editing), and your code samples available under [Creative Commons CC-0](https://creativecommons.org/publicdomain/zero/1.0/) (a Public Domain dedication). Adding to this wiki means you agree that your contributions will be made available under those licenses.

Some older content was made available under a license other than those described above; these are indicated at the bottom of each page by way of an [Alternate License Block](/Archive/Meta_docs/Examples/Alternate_License_Block).

> **Warning:** No new pages may be created using alternate licenses.

**Copyright for contributed materials remains with the author unless the author assigns it to someone else**.

If you have any questions or concerns about anything discussed here, please contact [the MDN administrators](mailto:mdn-admins@mozilla.org?subject=MDN%20licensing%20question).

#### Logos, trademarks, service marks and wordmarks

The rights in the trademarks, logos, and service marks of the Mozilla Foundation, as well as the look and feel of this web site, are not licensed under the Creative Commons license, and to the extent they are works of authorship (like logos and graphic design), they are not included in the work that is licensed under those terms. If you use the text of documents, and wish to also use any of these rights, or if you have any other questions about complying with our licensing terms for this collection, you should contact the Mozilla Foundation here: [licensing@mozilla.org](mailto:licensing@mozilla.org "mailto:licensing@mozilla.org").

### Linking to MDN

We regularly get users asking us questions about how to link to MDN, or even if doing so is allowed. The short answer is: **yes, you can link to MDN!** Not only is the hypertext link the essence of the Web, it is both a way to point your users to valuable resources and a show of trust toward the work our community does.
