---
title: 'ARIA: command role'
slug: Web/Accessibility/ARIA/Roles/command_role
tags: 
  - Accessibility
  - ARIA
  - roles
  - ARIA Role
  - ARIA command
  - ARIA widget
  - Reference
---

The `command` role defines a widget that performs an action but does not receive input data.

> **Note:**  The `command` role is an abstract role. It is included here for completeness of documentation. It should not be used by web authors.

## Description

A command is form of widget that performs an action but does not receive input data. It is a superclass for the widget roles [`button`](/en-US/docs/Web/Accessibility/ARIA/Roles/button_role), [`link`](/en-US/docs/Web/Accessibility/ARIA/Roles/link_role), and [`menuitem`](/en-US/docs/Web/Accessibility/ARIA/Roles/menuitem_role)

## Best Practices

Do not use.

## Specifications

| Specification                                                                                                                    | Status                                           |
| -------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------ |
| {{SpecName("ARIA","#command","ARIA: command role")}}                                             | {{Spec2('ARIA')}}                         |

## See Also

- [ARIA: `widget` role](/en-US/docs/Web/Accessibility/ARIA/Roles/widget_role)
- [ARIA: `button` role](/en-US/docs/Web/Accessibility/ARIA/Roles/button_role)
- [ARIA: `link` role](/en-US/docs/Web/Accessibility/ARIA/Roles/link_role)
- [ARIA: `menuitem` role](/en-US/docs/Web/Accessibility/ARIA/Roles/menuitem_role)

<section id="Quick_links">

1. [**WAI-ARIA roles**](/en-US/docs/Web/Accessibility/ARIA/Roles)

    {{ListSubpagesForSidebar("/en-US/docs/Web/Accessibility/ARIA/Roles")}}

</section>
