---
title: BaseAudioContext.audioWorklet
slug: Web/API/BaseAudioContext/audioWorklet
tags:
  - API
  - Audio
  - AudioContext
  - AudioWorklet
  - BaseAudioContext
  - Property
  - Reference
  - Web Audio API
  - Worklet
browser-compat: api.BaseAudioContext.audioWorklet
---
{{ APIRef("Web Audio API") }}{{securecontext_header}}

The `audioWorklet` read-only property of the
{{domxref("BaseAudioContext")}} interface returns an instance of
{{domxref("AudioWorklet")}} that can be used for adding
{{domxref("AudioWorkletProcessor")}}-derived classes which implement custom audio
processing.

## Syntax

```js
baseAudioContextInstance.audioWorklet;
```

### Value

An {{domxref("AudioWorklet")}} instance.

## Examples

_For a complete example demonstrating user-defined audio processing, see the
{{domxref("AudioWorkletNode")}} page._

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [Using Web Audio API](/en-US/docs/Web/API/Web_Audio_API/Using_Web_Audio_API)
- {{domxref("AudioWorkletNode")}}
