---
title: Event.isTrusted
slug: Web/API/Event/isTrusted
tags:
  - Property
  - Read-only
  - Reference
browser-compat: api.Event.isTrusted
---
{{APIRef("DOM")}}

The **`isTrusted`** read-only property of the
{{domxref("Event")}} interface is a boolean value that is `true`
when the event was generated by a user action, and `false` when the event was
created or modified by a script or dispatched via
{{domxref("EventTarget.dispatchEvent()")}}.

## Value

A boolean value.

## Example

```js
if (e.isTrusted) {
  /* The event is trusted */
} else {
  /* The event is not trusted */
}
```

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
