---
title: HTMLDataListElement
slug: Web/API/HTMLDataListElement
tags:
  - API
  - HTML DOM
  - Interface
  - Reference
browser-compat: api.HTMLDataListElement
---
{{APIRef("HTML DOM")}}

The **`HTMLDataListElement`** interface provides special properties (beyond the {{domxref("HTMLElement")}} object interface it also has available to it by inheritance) to manipulate {{ HTMLElement("datalist") }} elements and their content.

{{InheritanceDiagram}}

## Properties

_Inherits properties from its parent, {{domxref("HTMLElement")}}_

- {{domxref("HTMLDataListElement.options")}} {{readonlyInline}}
  - : Is a {{domxref("HTMLCollection")}} representing a collection of the contained option elements.

## Methods

_No specific method; inherits methods from its parent, {{domxref("HTMLElement")}}._

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- The HTML element implementing this interface: {{ HTMLElement("datalist") }}
