---
title: HTMLObjectElement.contentDocument
slug: Web/API/HTMLObjectElement/contentDocument
tags:
  - API
  - HTML DOM
  - HTMLObjectElement
  - NeedsExample
  - Property
  - Reference
  - contentDocument
browser-compat: api.HTMLObjectElement.contentDocument
---
{{APIRef("HTML DOM")}}

The **`contentDocument`** read-only property of
the {{domxref("HTMLObjectElement")}} interface Returns a {{domxref("Document")}}
representing the active document of the object element's nested browsing context, if
any; otherwise null.

## Syntax

```js
var document = HTMLObjectElement.contentDocument;
```

### Value

A {{domxref('Document')}}.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
