---
title: HTMLObjectElement.type
slug: Web/API/HTMLObjectElement/type
tags:
  - API
  - HTML DOM
  - HTMLObjectElement
  - NeedsExample
  - Property
  - Reference
  - Type
browser-compat: api.HTMLObjectElement.type
---
{{APIRef("HTML DOM")}}

The **`type`** property of the
{{domxref("HTMLObjectElement")}} interface returns a {{domxref("DOMString")}} that
reflects the {{htmlattrxref("type", "object")}} HTML attribute, specifying the MIME type
of the resource.

## Syntax

```js
var String = HTMLObjectElement.type
HTMLObjectElement.type = String;
```

### Value

A {{domxref('DOMString')}}.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
