---
title: HTMLTrackElement.src
slug: Web/API/HTMLTrackElement/src
tags:
  - HTML
  - HTML DOM
  - HTMLTrackElement
  - Property
  - Reference
  - Web
  - WebVTT
  - src
browser-compat: api.HTMLTrackElement.src
---
{{APIRef("HTML DOM")}}

The **`HTMLTrackElement.src`** property reflects the value of
the {{HTMLElement("track")}} element's {{htmlattrxref("src", "track")}} attribute, which
indicates the URL of the text track's data.

## Syntax

```js
var textTrackURL = HTMLTrackElement.src;
```

### Value

A {{domxref("DOMString")}} object containing the URL of the text track data.

## Example

```js
// coming soon
```

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- The interface defining it, {{domxref("HTMLTrackElement")}}.
- {{HTMLElement("track")}}
