---
title: isSecureContext
slug: Web/API/isSecureContext
tags:
  - API
  - HTML DOM
  - Property
  - Reference
  - Web
  - Workers
  - isSecureContext
browser-compat: api.isSecureContext
---
{{APIRef}}{{SeeCompatTable}}

The global **`isSecureContext`** read-only property returns a boolean indicating whether
the current [context is secure](/en-US/docs/Web/Security/Secure_Contexts)
(`true`) or not (`false`).

## Syntax

```js
var isItSecure = self.isSecureContext; // or just isSecureContext
```

### Value

Boolean `true` or `false`.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [Secure contexts](/en-US/docs/Web/Security/Secure_Contexts)
