---
title: '::-webkit-slider-runnable-track'
slug: Web/CSS/::-webkit-slider-runnable-track
tags:
  - CSS
  - CSS:WebKit Extensions
  - NeedsBrowserCompatibility
  - NeedsCompatTable
  - NeedsExample
  - NeedsMobileBrowserCompatibility
  - Non-standard
  - Pseudo-element
  - Reference
  - Selector
browser-compat: css.selectors.-webkit-slider-runnable-track
---
{{CSSRef}}{{Non-standard_Header}}

The **`::-webkit-slider-runnable-track`** CSS [pseudo-element](/en-US/docs/Web/CSS/Pseudo-elements) represents the "track" (the groove in which the indicator slides) of an {{HTMLElement("input/range", '&lt;input type="range"&gt;')}}.

## Syntax

```css
::-webkit-slider-runnable-track
```

## Specifications

Not part of any standard.

## Browser compatibility

{{Compat}}

## See also

- {{CSSxRef("::-webkit-slider-thumb")}}
- Similar pseudo-elements used by other browsers:

  - {{CSSxRef("::-ms-track")}}
  - {{CSSxRef("::-moz-range-track")}}

- [CSS-Tricks: Styling Cross-Browser Compatible Range Inputs with CSS](https://css-tricks.com/styling-cross-browser-compatible-range-inputs-css/)
- [QuirksMode: Styling and scripting sliders](https://www.quirksmode.org/blog/archives/2015/11/styling_and_scr.html)
