---
title: CSS Generated Content
slug: Web/CSS/CSS_Generated_Content
tags:
  - CSS
  - CSS Generated Content
  - Guide
  - Overview
  - Reference
spec-urls: https://drafts.csswg.org/css-content/
---
{{CSSRef}}

**CSS Generated Content** is a module of CSS that defines how to add content to an element. Generated content can be used to add content to anonymous replaced elements or replace the content of a DOM node in very limited circumstances with a generated value.

See the [how to guide for generated content](/en-US/docs/Learn/CSS/Howto/Generated_content) to learn more, and the {{cssxref("content")}} and {{cssxref("quotes")}} properties for implementation information.

## Reference

### Properties

- {{cssxref("content")}}
- {{cssxref("quotes")}}

## Specifications

{{Specifications}}

## See also

- [Using CSS generated content](/en-US/docs/Learn/CSS/Howto/Generated_content)
- {{cssxref("content")}}
- {{cssxref("quotes")}}
- {{cssxref("::before")}}
- {{cssxref("::after")}}
- {{cssxref("::marker")}}
