---
title: CSS Scroll Snap
slug: Web/CSS/CSS_Scroll_Snap
tags:
  - CSS
  - CSS Scroll Snap
  - Guide
  - Overview
  - Reference
spec-urls: https://drafts.csswg.org/css-scroll-snap/
---
{{CSSRef}}

**CSS Scroll Snap** is a module of CSS that introduces scroll snap positions, which enforce the scroll positions that a {{Glossary("scroll container")}}'s {{Glossary("scrollport")}} may end at after a scrolling operation has completed.

## Reference

### CSS Properties on Containers

- {{cssxref("scroll-snap-type")}}
- {{cssxref("scroll-padding")}}
- {{cssxref("scroll-padding-top")}}
- {{cssxref("scroll-padding-right")}}
- {{cssxref("scroll-padding-bottom")}}
- {{cssxref("scroll-padding-left")}}
- {{cssxref("scroll-padding-inline")}}
- {{cssxref("scroll-padding-inline-start")}}
- {{cssxref("scroll-padding-inline-end")}}
- {{cssxref("scroll-padding-block")}}
- {{cssxref("scroll-padding-block-start")}}
- {{cssxref("scroll-padding-block-end")}}

### CSS Properties on Children

- {{cssxref("scroll-snap-align")}}
- {{cssxref("scroll-margin")}}
- {{cssxref("scroll-margin-top")}}
- {{cssxref("scroll-margin-right")}}
- {{cssxref("scroll-margin-bottom")}}
- {{cssxref("scroll-margin-left")}}
- {{cssxref("scroll-margin-inline")}}
- {{cssxref("scroll-margin-inline-start")}}
- {{cssxref("scroll-margin-inline-end")}}
- {{cssxref("scroll-margin-block")}}
- {{cssxref("scroll-margin-block-start")}}
- {{cssxref("scroll-margin-block-end")}}
- {{cssxref("scroll-snap-stop")}}

## Guides

- [Basic concepts of CSS Scroll Snap](/en-US/docs/Web/CSS/CSS_Scroll_Snap/Basic_concepts)

## Specifications

{{Specifications}}

## Browser compatibility

The individual property pages detail browser compatibility information for each property.
