---
title: '<image>: The Image element'
slug: Web/HTML/Element/image
tags:
  - Element
  - HTML
  - HTML Element Reference
  - HTML Reference
  - HTML element
  - Non-standard
  - Deprecated
  - Reference
browser-compat: html.elements.image
---
{{HTMLRef}}{{deprecated_header}}

The **`<image>`** [HTML](/en-US/docs/Web/HTML) element is an ancient and poorly supported precursor to the {{HTMLElement("img")}} element.
**It should not be used**.

Some browsers will attempt to automatically convert this into an {{HTMLElement("img")}} element, and may succeed if the {{htmlattrxref("src", "img")}} attribute is specified as well.

## Specifications

This does not appear to have been part of any formal specification.
It was mentioned in [HTML+ Discussion Document - Dave Raggett, November 8, 1993](https://www.w3.org/MarkUp/HTMLPlus/htmlplus_21.html) (Section 5.9 - Images), but was not part of the first revision of [HyperText Markup Language Specification - 2.0](https://datatracker.ietf.org/doc/html/draft-ietf-html-spec-00) in 1994.

## Browser compatibility

{{Compat}}

## See also

- {{HTMLElement("img")}}: The correct way to display an image in a document
- {{HTMLElement("picture")}}: A more powerful correct way to display an image in a document
