---
title: 422 Unprocessable Entity
slug: Web/HTTP/Status/422
tags:
  - Client error
  - HTTP
  - HTTP Status Code
  - Reference
  - Status code
  - WebDAV
---
{{HTTPSidebar}}

The HyperText Transfer Protocol (HTTP)
**`422 Unprocessable Entity`** response status code indicates
that the server understands the content type of the request entity, and the syntax of
the request entity is correct, but it was unable to process the contained instructions.

> **Warning:** The client should not repeat this request without modification.

## Status

```
422 Unprocessable Entity
```

## Specifications

| Specification                                                        | Title                                                                 |
| -------------------------------------------------------------------- | --------------------------------------------------------------------- |
| {{RFC("4918", "422 Unprocessable Entity" , "11.2")}} | HTTP Extensions for Web Distributed Authoring and Versioning (WebDAV) |
