---
title: 507 Insufficient Storage
slug: Web/HTTP/Status/507
tags:
  - HTTP
  - Server error
  - Status code
---
{{HTTPSidebar}}

The HyperText Transfer Protocol (HTTP) **`507 Insufficient Storage`** response status code may be given in the context of the Web Distributed Authoring and Versioning (WebDAV) protocol (see [RFC 4918](https://datatracker.ietf.org/doc/html/rfc4918)).

It indicates that a method could not be performed because the server cannot store the representation needed to successfully complete the request.

## Status

```
507 Insufficient Storage
```

## Specifications

| Specification                                                        | Title                                    |
| -------------------------------------------------------------------- | ---------------------------------------- |
| {{RFC("4918", "507 Insufficient Storage" , "11.5")}} | Web Distributed Authoring and Versioning |
