---
title: Multiplication assignment (*=)
slug: Web/JavaScript/Reference/Operators/Multiplication_assignment
tags:
  - Assignment operator
  - JavaScript
  - Language feature
  - Operator
  - Reference
browser-compat: javascript.operators.multiplication_assignment
---
{{jsSidebar("Operators")}}

The multiplication assignment operator (`*=`) multiplies a variable by the
value of the right operand and assigns the result to the variable.

{{EmbedInteractiveExample("pages/js/expressions-multiplication-assignment.html")}}

## Syntax

```js
x *= y // x = x * y
```

## Examples

### Using multiplication assignment

```js
// Assuming the following variable
//  bar = 5

bar *= 2     // 10
bar *= 'foo' // NaN
```

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [Assignment
  operators in the JS guide](/en-US/docs/Web/JavaScript/Guide/Expressions_and_Operators#assignment)
- [Multiplication
  operator](/en-US/docs/Web/JavaScript/Reference/Operators/Multiplication)
