---
title: xml:base
slug: Web/SVG/Attribute/xml:base
tags:
  - Deprecated
  - SVG
  - SVG Attribute
browser-compat: svg.attributes.core.xml_base
---
{{SVGRef}}{{Deprecated_Header}}

The **`xml:base`** attribute specifies a base {{Glossary("IRI")}} other than the base IRI of the document or external entity.

You can use this attribute with any SVG element.

## Usage notes

<table class="properties">
  <tbody>
    <tr>
      <th scope="row">Value</th>
      <td>
        <code
          ><a href="/en-US/docs/Web/SVG/Content_type#iri">&#x3C;iri></a></code
        >
      </td>
    </tr>
    <tr>
      <th scope="row">Default value</th>
      <td><em>None</em></td>
    </tr>
    <tr>
      <th scope="row">Animatable</th>
      <td>No</td>
    </tr>
  </tbody>
</table>

- `<iri>`
  - : This value specifies the base IRI of the element.

## Specifications

<table class="no-markdown">
  <thead>
    <tr>
      <th scope="col">Specification</th>
      <th scope="col">Status</th>
      <th scope="col">Comment</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>
        {{SpecName("SVG1.1", "struct.html#XMLBaseAttribute", "xml:base")}}
      </td>
      <td>{{Spec2("SVG1.1")}}</td>
      <td>Initial definition</td>
    </tr>
  </tbody>
</table>

## Browser compatibility

{{Compat}}

## See also

- [XML Base](https://www.w3.org/TR/xmlbase/) specification
